[#--

    Copyright (c) 2011-present Sonatype, Inc. All rights reserved.
    Includes the third-party code listed at http://links.sonatype.com/products/clm/attributions.
    "Sonatype" is a trademark of Sonatype, Inc.

--]
[#-- @ftlvariable name="configError" type="java.lang.String" --]
[#if configError??]
  [@ui.messageBox type='error']
  <p class="title">${configError}</p>
  [/@ui.messageBox]
[/#if]
[@ww.radio name='clmAppIdType' listKey='value' listValue='value' i18nPrefixForValue='clm.app.id.type' showDescription=true list=clmAppIdTypes toggle='true' /]
[#-- Make sure to keep the order of the clmAppId field the same as the ClmApplicationIdType --]
[@ui.bambooSection dependsOn='clmAppIdType' showOn='selected']
  [@ww.select cssClass='builderSelectWidget long-field' labelKey='clm.task.app' descriptionKey='clm.task.app.description' name='clmAppId' listKey='key' listValue='value' list=clmApps /]
[/@ui.bambooSection]
[@ui.bambooSection dependsOn='clmAppIdType' showOn='specified']
  [@ww.textfield cssClass='long-field' labelKey='clm.task.app.id' descriptionKey='clm.task.app.id.description' name='clmAppId' /]
[/@ui.bambooSection]
[@ww.checkbox labelKey='clm.task.failOnClmFailures' name='failOnClmFailures' toggle='true' /]
[@ww.select cssClass='builderSelectWidget long-field' labelKey='clm.task.stage' descriptionKey='clm.task.stage.description' name='clmStageTypeId' listKey='key' listValue='value' list=clmStages /]
[@ww.textfield cssClass='long-field' labelKey='clm.task.scan.targets' descriptionKey='clm.task.scan.targets.description' name='clmScanTargets' /]
[@ww.textfield cssClass='long-field' labelKey='clm.task.module.excludes' descriptionKey='clm.task.module.excludes.description' name='clmModuleExcludes' /]
[@ww.textarea cssClass='long-field' rows='5' labelKey='clm.task.scan.properties' descriptionKey='clm.task.scan.properties.description' name='clmScanProperties' /]
